Subject: Re: [patch 4/6] [TULIP] Quiet down tulip_stop_rxtx

From: Valerie Henson <[email-masked]>
Date: Thu, 15 Mar 2007 17:10:10 -0700

On Thu, Mar 15, 2007 at 11:25:10AM -0400, Jeff Garzik wrote:
> 
> Here's the problem with this:  this printk is signalling that the DMA 
> engines have not yet stopped, which is an event of which we should be wary.
> 
> While it makes sense to do this patch, since the complaining cards 
> appear to work anyway, we also need to take into account the times when 
> this is not a spurious warning.
> 
> Thus, I would consider maybe adding a warning somewhere in the 
> DMA-engine-start region of code, that complains if the DMA engines are 
> already active, or somesuch.

Yeah, I agree it's signifying a problem, and we should have a warning
(only one) until we figure out what's going on.  Put on my to-do list.

-VAL